View Issue Details

IDProjectCategoryView StatusLast Update
0018256LazarusWidgetsetpublic2011-04-15 14:08
ReporterFabrizio FelliniAssigned ToPaul Ishenin 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version0.9.29 (SVN)Product Build 
Target Version1.0.0Fixed in Version0.9.31 (SVN) 
Summary0018256: Menu shortcuts don't work correctly when a menu is hidden
DescriptionUnder Windows, when a menu tree have a voice with the Visible and Enable properties set to False, menu shortcuts don't work as they should do.
In my sample application, the use of Alt+G opens the Database submenu instead of the Generali submenu.
TagsNo tags attached.
Fixed in Revision29897
LazTarget1.0
WidgetsetWin32/Win64
Attached Files

Activities

2010-12-18 16:59

 

project1.zip (1,111 bytes)

Paul Ishenin

2011-03-18 09:34

manager   ~0046661

Please test and close if ok.

Fabrizio Fellini

2011-04-15 14:08

reporter   ~0047488

Thank you, Paul!

Issue History

Date Modified Username Field Change
2010-12-18 16:59 Fabrizio Fellini New Issue
2010-12-18 16:59 Fabrizio Fellini File Added: project1.zip
2010-12-18 16:59 Fabrizio Fellini Widgetset => Win32/Win64
2010-12-18 18:48 Vincent Snijders LazTarget => 1.0
2010-12-18 18:48 Vincent Snijders Status new => acknowledged
2010-12-18 18:48 Vincent Snijders Target Version => 1.0.0
2011-03-18 09:34 Paul Ishenin Fixed in Revision => 29897
2011-03-18 09:34 Paul Ishenin Status acknowledged => resolved
2011-03-18 09:34 Paul Ishenin Fixed in Version => 0.9.31 (SVN)
2011-03-18 09:34 Paul Ishenin Resolution open => fixed
2011-03-18 09:34 Paul Ishenin Assigned To => Paul Ishenin
2011-03-18 09:34 Paul Ishenin Note Added: 0046661
2011-04-15 14:08 Fabrizio Fellini Status resolved => closed
2011-04-15 14:08 Fabrizio Fellini Note Added: 0047488